Update the folder that a document is in
curl --request PATCH \
--url https://api.ctrl-hub.com/v3/documents/{document_id}/relationships/folder \
--header 'Content-Type: application/vnd.api+json' \
--header 'X-Session-Token: <api-key>' \
--data '
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
}
'import requests
url = "https://api.ctrl-hub.com/v3/documents/{document_id}/relationships/folder"
payload = { "data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
} }
headers = {
"X-Session-Token": "<api-key>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Session-Token': '<api-key>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({data: {id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', type: '<string>'}})
};
fetch('https://api.ctrl-hub.com/v3/documents/{document_id}/relationships/folder', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
"status": "400",
"title": "A validation error was encountered",
"source": {
"parameter": "include"
},
"meta": {
"resource": "wrong_value"
}
}{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}Documents
Change a documents folder
Update the folder that a document is in. When data is set to null, the document will be moved to the root.
PATCH
/
v3
/
documents
/
{document_id}
/
relationships
/
folder
Update the folder that a document is in
Authorizations
SessionOAuth2Cookie
Session token for authentication.
Path Parameters
The unique identifier for the document.
Body
application/vnd.api+json
The updated documents parent folder. When data is set to null, the document will be moved to the root.
Show child attributes
Show child attributes
Response
Document folder updated successfully
⌘I